Bug 491451 - Add syntax details for opaque structures
Add syntax details for opaque structures
Status: CLOSED WONTFIX
Product: Red Hat Directory Server
Classification: Red Hat
Component: Doc-plugin-programming-guide (Show other bugs)
8.1
All Linux
high Severity medium
: ---
: ---
Assigned To: Marc Muehlfeld
Viktor Ashirov
: Documentation
Depends On:
Blocks: 512820
  Show dependency treegraph
 
Reported: 2009-03-21 01:04 EDT by Deon Ballard
Modified: 2017-02-08 19:52 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-02-08 19:14:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Deon Ballard 2009-03-21 01:04:47 EDT
According to Nathan's comments for the Slapi_Counter edits in bug 458190, the new write-up for Slapi_Counter includes the private definition. The public header (slapi-plugin.h) doesn't have any of this detail in it. For example:

#include "slapi-plugin.h" 
typedef struct Slapi_Counter {
    PRUint64 value;
#ifndef ATOMIC_64BIT_OPERATIONS
    Slapi_Mutex *mutex;
#endif
} Slapi_Counter;

We should add something similar to the Syntax sections for other opaque structures, such as the Slapi_PBlock.
Comment 1 Deon Ballard 2009-09-02 10:22:33 EDT
Changing the status from "new" to "assigned."
Comment 3 Deon Ballard 2009-09-22 13:36:44 EDT
Setting to block the DS9 docs tracking bug.
Comment 9 Deon Ballard 2014-07-10 12:49:03 EDT
Reassigning to Tomas.
Comment 10 Noriko Hosoi 2017-02-08 19:14:37 EST
It is not worth showing all the fields in the slapi structures.

Plus, there are some reasons we'd better not to do so.
1) The fields are not meant to access directly. Only the API info to access them should be provided.
2) The fields could be updated frequently by debugging or implementing new features.  Having a snapshot of the structure syntax should be rather harmful.

Hence, closing this bug with WONTFIX. (Acked by Nathan.  Thanks!!)
Comment 11 wibrown@redhat.com 2017-02-08 19:52:00 EST
Another part of this, is that in the future, I'm going to hide and mask these. You should never access struct internals, only the functions related to them.

Note You need to log in before you can comment on or make changes to this bug.